
<div class="alerta" [ngClass]="{'error': propiedades.error, 'advertencia': !propiedades.error}">
  
  

    <h1 class="title">FORMULARIO DE CONTACTO</h1>

    <div class="contenido">
      <!-- FORMULARIO  -->
     <div class="formulario" >

        <form class="form " [formGroup]="forma" (ngSubmit)="Enviar()">

          <div class="fila">
            <div class="columna">
              <label for="fname" class="lbl">Nombre</label>
            </div>

            <div>
              <input 
                type="text"
                id="fname"
                placeholder="Nombre"
                class="txtbox"
                formControlName="nombre"
                [class.is-invalid]="nombreNoValido"
              
              >
                <small class="text-danger" *ngIf="nombreNoValido">
                Ingrese mas de 3 letras
                </small>
            </div>
          </div>

        

          <div class="fila">
            <div class="columna">
              <label for="flastname" class="lbl">Apellido</label>
            </div>

            <div>
              <input 
                type="text"
                id="flastname"
                placeholder="Apellido"
                class="txtbox"
                formControlName="apellido"
                [class.is-invalid]="apellidoNoValido"
              
              >
              <small class="text-danger" *ngIf="apellidoNoValido">
                Ingrese mas de 3 letras
              </small> 
            </div>
          </div>


          <div class="fila">
            <div class="columna">
              <label for="femail" class="lbl">Email</label>
            </div>

            <div>
              <input 
                type="text"
                id="femail"
                placeholder="Correo Electronico"
                class="txtbox"
                formControlName="correo"
                [class.is-invalid]="correoNoValido"
              >
              <small class="text-danger" *ngIf="correoNoValido">
                Ingrese un email valido
              </small> 
            </div>
          </div>

          <div class="fila">
            <div class="columna">
              <label for="fmensaje" class="lbl">Mensaje</label>
            </div>
            
            <div class="t">
              <textarea name="" id="" cols="30" rows="5"
              id="fmensaje"
              placeholder="Introduzca su mensaje"
              class="txtbox"
              formControlName="mensaje"
              [class.is-invalid]="mensajeNoValido"
              >
                <small class="text-danger" *ngIf="mensajeNoValido">
                  Por favor introduzca un mensaje
                </small>
              </textarea>
            </div>
          </div>
          
          <div class="fila">
            <div class="alinea-btn">
              <button type="submit" class="btn" [disabled]="forma.invalid">Enviar  </button>
                <h4 class="enviado">{{mensaje}} </h4>
            </div>
          </div> 

        </form> 
     </div> 
 
    

     <div class="datos">
      <div class="b-men">
        <p>Si necesita contactarme para alguna consulta o simplemente dejarme un mensaje, puedes hacerlo con toda la confianza te respondere en breve.</p>
      </div>

     <div class="bloque">
        <a  class="herf"  href="https://wa.link/xssf12"><i class="fa-brands fa-whatsapp-square"></i></a>
        | <span class="sub">63910955</span>
     </div>
     <div class="bloque">
        <a class="herf" href="mailto:vicente.pinaya.daniela@gmail.com?Subject=Deseo%20agendar%20una%20cita"><i class="fa-solid fa-square-envelope"></i></a>
        | <span class="sub">vicente.pinaya.daniela@gmail.com</span> 
     </div>
     <div class="bloque">
        <a class="herf" href=""><i class="fa-brands fa-facebook-square"></i></a>
         |<span class="sub">Daniela Vicente</span> 
    </div>
     <div class="bloque">
      <a class="herf" href="https://gitlab.com/vicente.pinaya.daniela"><i class="fa-brands fa-gitlab"></i></a>
      |<span class="sub">@vicente.pinaya.daniela</span> 
     </div>

     <br>
     
     
    
    </div> 

  </div>
  <button type="button" (click)="propiedades.error = !propiedades.error" class="boton" [ngClass]="{'danger': propiedades.error, 'err': !propiedades.error}"><i class="fa-solid fa-moon"></i>Oscuro</button>


</div>
  
   



       

    
